<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use GuzzleHttp\Psr7\Response;

// phpcs:ignore
class PAGE_PanierSoumissionController extends AbsApiController
{
    public function INITAction() :Response
    {
        $trad = $this->getTranslationService();
        $return['Trads']['MLS_Traiter_Erreurs'] = $trad->t('Vous devez traiter les anomalies bloquantes avant de pouvoir soumettre votre panier.');
        $return['Trads']['MLS_Titre_Page_ValidPanier'] = $trad->t('Validation panier');
        $return['Trads']['MLS_Btn_Retour_Panier'] = $trad->t('Panier');
        $return['Trads']['MLS_Btn_Valider'] = $trad->t('Valider mon panier');
        $return['Trads']['MLS_Btn_Annuler'] = $trad->t('Annuler');
        $return['Trads']['MLS_Demande_Stock'] = $trad->t('Demandes sur stock');
        $return['Trads']['MLS_Cde'] = $trad->t('Commande') . $trad->colon();
        $return['Trads']['MLS_Ref_Offre'] = $trad->t('Réf. offre frs.') . $trad->colon();
        $return['Trads']['MLS_Objet'] = $trad->t('Objet commande') . $trad->colon();
        $return['Trads']['MLS_Signataires'] = $trad->t('Signataires') . $trad->colon();
        $return['Trads']['MLS_Fourn'] = $trad->t('Fournisseur') . $trad->colon();
        $return['Trads']['MLS_Art'] = $trad->t('Articles') . $trad->colon();
        $return['Trads']['MLS_Total'] = $trad->t('Total (HT)') . $trad->colon();
        $return['Trads']['MLS_Panier_Vide'] = $trad->t('Votre panier est vide.');
        $return['Trads']['MLS_Sign_Oblig'] = $trad->t('Le choix du signataire est obligatoire sur la commande %1');
        $return['Trads']['MLS_Recapitulatif'] = $trad->t('Récapitulatif');
        $return['Trads']['MLS_TotalHT'] = $trad->t('Total panier HT');

        // mobilite/Mobilite#471
        $return['Trads']['MLS_Btn_RetourDansChoixListe'] = $trad->t('Retour');
        $return['Trads']['MLS_VotrePanierEstValide'] = $trad->t('Votre panier a été validé');
        $return['Trads']['MLS_VoirDemandeService'] = $trad->t('Voir la demande sur stock');
        $return['Trads']['MLS_VoirCommandes'] = $trad->t('Voir les commandes');


        return $this->createApiResponse($return);
    }
}
